import socket
import sys

if len(sys.argv) == 3:
    # Get "IP address of Server" and also the "port number" from argument 1 and argument 2
    ip = sys.argv[1]
    port = int(sys.argv[2])
else:
    print("Run like : python3 client.py <arg1 server ip 192.168.1.102> <arg2 server port 4444 >")
    exit(1)

# Create socket for server
s = socket.socket(socket.AF_INET, socket.SOCK_DGRAM, 0)

# Let's send data through UDP protocol
send_data = "controller_id"
s.sendto(send_data.encode('utf-8'), (ip, port))
data, address = s.recvfrom(4096)
print(data.decode('utf-8'))
# close the socket
s.close()
